/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.email.entity;

public interface EmailVorlageBase extends 
de.ivu.elect.jee.entity.Entity<EmailVorlagePK, EmailVorlageUK>
{

  
  /**
   * getter for primary key wrapper EMAIL_VORLAGE.email_vorlage_id
   *
   * @return
   */
  @Override
  EmailVorlagePK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for EMAIL_VORLAGE.BEZEICHNUNG
   *
   */
  java.lang.String getBezeichnung();

  /**
   * 
   *
   * setter for EMAIL_VORLAGE.BEZEICHNUNG
   *
   * @param bezeichnung
   */
  void setBezeichnung(java.lang.String bezeichnung);
      

  /**
   * 
   *
   * getter for EMAIL_VORLAGE.INHALT
   *
     * (LAZY LOADING)
   */
  java.lang.String getInhalt();

  /**
   * 
   *
   * setter for EMAIL_VORLAGE.INHALT
   *
   * @param inhalt
   */
  void setInhalt(java.lang.String inhalt);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setEmailLayout(de.ivu.elect.business.email.entity.EmailLayout emailLayout);

  /**
   * 
   */
  de.ivu.elect.business.email.entity.EmailLayout getEmailLayout();



  /**
   * 
   */
  void setWahltermin(de.ivu.elect.business.wahl.entity.Wahltermin wahltermin);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
